## infinity 1.5

=== debian/changelog ===
infinity (1.5-0ubuntu1) groovy; urgency=low

  * Initial release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 15 Jul 2020 15:22:54 -0400
