=== debian/control ===
Source: infinity
Section: python
Priority: optional
Maintainer: Corey Bryant <corey.bryant@canonical.com>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-mock,
 python3-pytest,
Standards-Version: 4.5.0
Homepage: https://github.com/kvesteri/infinity
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/infinity
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/infinity

Package: python3-infinity
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: All-in-one infinity value for Python. Can be compared to any object.
 All-in-one infinity value for Python. Can be compared to any object.
 .
 This package contains the Python 3 module.
