=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_BEFORE_TEST=cp -r {dir}/test_infinity.py {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/test_infinity.py

%:
	dh $@ --with python3 --buildsystem=pybuild
